import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:project_telephony/ui/widget/scaffold_theme_widget.dart';
import 'package:velocity_x/velocity_x.dart';

class ExcludeSinglePage extends StatefulWidget {
  const ExcludeSinglePage({Key? key}) : super(key: key);

  @override
  _ExcludeSinglePageState createState() => _ExcludeSinglePageState();
}

class _ExcludeSinglePageState extends State<ExcludeSinglePage> {
  @override
  Widget build(BuildContext context) {
    return ScaffoldThemeWidget(
      title: '添加单个或批量号码',
      bottom: "添加",
      onTap: () {},
      child: Container(
        padding: EdgeInsets.only(top: 25.h, left: 50.w, right: 50.w),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            addNumber("号码", "请输入号码"),
            15.heightBox,
            addNumber("名称", "请输入名称"),
            15.heightBox,
            RichText(
              text: const TextSpan(
                children: [
                  TextSpan(text: "使用说明："),
                  TextSpan(text: "如输入000*，可屏蔽所有000开头的号码")
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }

  addNumber(String title, content) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          title,
          style: const TextStyle(
            fontSize: 18,
            color: Colors.black38,
            fontWeight: FontWeight.w600,
          ),
        ),
        15.heightBox,
        TextField(
          decoration: InputDecoration(
            hintText: content,
            border: const OutlineInputBorder(
            ),
          ),
        ),
      ],
    );
  }
}
